'use strict';

var RegistraFonteController = angular.module('RegistraFonteController', []);

RegistraFonteController.controller('RegistraFonteCtrl', ['$scope', '$rootScope', 'CacheApp', 'Fonte',
  ($scope, $rootScope, CacheApp, Fonte) => {

    $scope.setFonte = (fonte) => {
        Fonte.setFonte(fonte,
            (data) => {
                $rootScope.$broadcast('atualizaListaFontes', {});
                $scope.getListaFontesPopup();
            });
    }

    $scope.adicionarFonte = () => {
        $scope.listaFonte.unshift({
            IdFonte: 0,
            IdClienteDono: $scope.construcao.IdClienteDono,
            Nome: '',
            Descricao: '',
            Novo: true
        });
    }

    $scope.alterarFonte = (fonte) => {
        fonte.Novo = true;
    }

    $scope.cancelarFonte = (fonte) => {
        if (fonte.IdFonte == 0) {
            var idx = $scope.listaFonte.indexOf(fonte)
            $scope.listaFonte.splice(idx, 1);
        }
        else
            fonte.Novo = false;
    }

    $scope.getListaFontesPopup = () => {
        var sessao = CacheApp.getSessao()
        var params = {
            IdClienteAdmin: sessao.ContaAdmin ? sessao.IdClienteAdmin : undefined
        }
        Fonte.getListaFonte(params,
            (data) => {
                $scope.listaFonte = data.Instance;
            });
    }

    $scope.excluirFonte = (fonte) => {
        $scope.msgBoxPergunta(fonte.Nome, 'Confirma exclus�o da fonte?'
            , () => {
                Fonte.delFonte(fonte.IdFonte,
                 (data) => {
                        $scope.getListaFontesPopup();
                        $rootScope.$broadcast('atualizaListaFontes', {});
                    });
            }
            , () => {
            });
    }

    $scope.construcao = CacheApp.getConstrucao();
    $scope.getListaFontesPopup()

  }]);
